<?php
/**------------------------------------------------
*
* Rooty, 2018 <rooty@rooty.me>
*
*
* This software is protected by copyright, please
* read the file COPYRIGHT.
* This program is distributed in the hope that it
* will be useful, but without any warranty; without
* even the implied warranty of merchantability or
* fitness for a particular purpose. Please
* read the file LICENCE.
*
* Fichier NodeGroupUser.php
*
* Ce fichier contient la classe NodeGroupUser
*
* @author Rooty <www.rooty.me|rooty@rooty.me>
* @link www.rooty.me
* @since 2004/04/14
* @version 0.2
* @package system_data
* @subpackage NodeGroupUser
* @copyright Copyright &copy; 2004-2005, ARD Limousin
*/

#####################################################################################################
################################# Parametrage
#####################################################################################################
/**
* declaration du system... si cette variable n'est pas d�inie, les fichier inclus ne marche pas...
* cette variable est declare sur la page d'execution du script.
*<p> if ( !defined('SYSTEM_IN') )
* {
* die("Hacking attempt");
* }</p>
*/
if ( !defined('SYSTEM_IN') )
{
 die("Hacking attempt");
}

/**
* Classe NodeGroupUser
*
* classe de gestion des NodeGroupUsers
*
* @package system_data
* @subpackage NodeGroupUser
*/
class NodeGroupUser
{

/**
* @var entier
* @access private
* @desc ID de la NodeGroupUser
*/
var $id			= null;

/**
* @var entier
* @access private
* @desc ID de l'utilisateur
*/
var $userId		= null;

/**
* @var entier
* @access private
* @desc ID du groupe
*/

var $groupId	= null;
/**
* @var entier
* @access private
* @desc ID du noeud de l'acces
*/
var $nodeId		= null;

/**#@-*/
	//
	// Constructor
	//
/**
* Constructeur de la classe NodeGroupUser PHP5
*
* <p>Initialise la NodeGroupUser</p>
* @access public
*/
	function __construct()
	{
		$this->id		=null;
		$this->userId		=null;
		$this->groupId		=null;
		$this->nodeId           =null;
		$this->isForbidden      =false;
	}

/**
* getId: Recupere l'identifiant de l'association NodeGroupUser
* @access public
* @return entier
*/
	function getId()
	{
		return $this->id;
	}

/**
* setId: affecte l'identifiant de l'association NodeGroupUser
* @access public
* @param entier
* @return booleen
*/
	function setId($id)
	{
		if (!Is_numeric($id))
			return false;
		$this->id=$id;
		return true;
	}

/**
* getUserId: Recupere l'identifiant de l'utilisateur
* @access public
* @return entier
*/
	function getUserId()
	{
		return $this->userId;
	}

/**
* setUserId: affecte l'identifiant de l'association NodeGroupUser
* @access public
* @param entier
* @return booleen
*/
	function setUserId($id)
	{
		if (!Is_numeric($id))
			return false;
		$this->userId=$id;
		return true;
	}

/**
* getNodeId: Recupere l'identifiant de l'utilisateur
* @access public
* @return entier
*/
	function getNodeId()
	{
		return $this->nodeId;
	}

/**
* setNodeId: affecte l'identifiant de l'association NodeGroupUser
* @access public
* @param entier
* @return booleen
*/
	function setNodeId($id)
	{
		if (!Is_numeric($id))
			return false;
		$this->nodeId=$id;
		return true;
	}

/**
* getGroupId: Recupere l'identifiant de l'utilisateur
* @access public
* @return entier
*/
	function getGroupId()
	{
		return $this->groupId;
	}

/**
* setGroupId: affecte l'identifiant de l'association NodeGroupUser
* @access public
* @param entier
* @return booleen
*/
	function setGroupId($id)
	{
		if (!Is_numeric($id))
			return false;
		$this->groupId=$id;
		return true;
	}

/**
* doLoad: Charge la NodeGroupUser a partir de ses elements
* @access public
* @param entier identifiant de l'association NodeGroupUser (Null si inexistant dans la source)
* @param entier identifiant de l'utilisateur
* @param entier identifiant du groupe
* @param entier identifiant du noeud
* @param booleen si le noeud permet d'acc�er aux sous noeud
* @return booleen
*/
	function doLoad($id, $userId, $groupId, $nodeId)
	{
		if ( (!Is_numeric($id)) || (!Is_numeric($userId)) || (!Is_numeric($groupId)) || (!Is_numeric($nodeId)) )
		{
			$systemError=2;
			$classe="NodeGroupUser";
			$message="Erreur d'identifiant ".$id;
			addError($systemError,$classe,$message, __line__, __file__);
		}
		$this->setId($id);
		$this->setUserId($userId);
		$this->setGroupId($groupId);
		$this->setNodeId($nodeId);

		return true;
	}

/**
* isLoaded: NodeGroupUser charges
*
*<p>Indique si une NodeGroupUser a ete charge dans l'objet courant (retourne vrai)
*<br> Ou si l'objet courant est vide (retourne faux)</p>
* @access public
* @return booleen
*/
	function isLoaded()
	{
		return ((($this->id!=0) && (!Is_null($this->id)) && Is_numeric($this->id))? true:false);
	}
}
?>
